WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/October 2023/28 Oct 2023

RGC 33–28 Aberavon

8 photographs Alan Skeates/Huw Evans Agency Saturday
Prints from £8 Order prints
281023 - RGC v Aberavon - Indigo Group Premiership - Ben Gregory of Aberavon RFC goes up for the ball in the line out 001
CDF_281023_RGC_v_Aberavon_01.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Ben Gregory of Aberavon RFC goes up for the ball in the line out
281023 - RGC v Aberavon - Indigo Group Premiership - Aron Hemmings of Aberavon RFC passes the ball from the ruck 002
CDF_281023_RGC_v_Aberavon_02.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Aron Hemmings of Aberavon RFC passes the ball from the ruck
281023 - RGC v Aberavon - Indigo Group Premiership - Harry Ford of RGC is tackled by James Davies of Aberavon RFC 003
CDF_281023_RGC_v_Aberavon_03.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Harry Ford of RGC is tackled by James Davies of Aberavon RFC
281023 - RGC v Aberavon - Indigo Group Premiership - Delwyn Jones of RGC is tackled by Ben Gregory of Aberavon RFC 004
CDF_281023_RGC_v_Aberavon_04.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Delwyn Jones of RGC is tackled by Ben Gregory of Aberavon RFC
281023 - RGC v Aberavon - Indigo Group Premiership - Dan Owen of RGC is tackled by Cameron Lewis of Aberavon RFC 005
CDF_281023_RGC_v_Aberavon_05.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Dan Owen of RGC is tackled by Cameron Lewis of Aberavon RFC
281023 - RGC v Aberavon - Indigo Group Premiership - Neil Buchanan of RGC gets the try 006
CDF_281023_RGC_v_Aberavon_06.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Neil Buchanan of RGC gets the try
281023 - RGC v Aberavon - Indigo Group Premiership - Sam Earl Jones of RGC takes the conversion 007
CDF_281023_RGC_v_Aberavon_07.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Sam Earl Jones of RGC takes the conversion
281023 - RGC v Aberavon - Indigo Group Premiership - Ceri Jones head coach of RGC 008
CDF_281023_RGC_v_Aberavon_08.jpg · Alan Skeates/Huw Evans Agency281023 - RGC v Aberavon - Indigo Group Premiership - Ceri Jones head coach of RGC

More from around this date

Sat 28 OctCaldicot v Gilfach Goch Sat 28 OctBlackburn Rovers 0-1 Swansea City Sat 28 OctDHL Stormers 52-7 Scarlets Sat 28 OctGillingham 0-2 Newport County Sat 28 OctCardiff City 2-0 Bristol City Sat 28 OctOspreys 34-31 Zebre Sat 28 OctWales Women 7-70 New Zealand Women Sun 29 OctDragons 9-16 Cardiff Rugby
RGC 33-28 Aberavon · 28 Oct 2023
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured